Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.protocol.v5
Class ConsultVmpComponentType

    java.lang.Object
      be.fgov.ehealth.dics.protocol.v5.ConsultVmpComponentType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2020-03-19T04:19:37+01:00",
               comments="JAXB RI v2.2.11")
    public class ConsultVmpComponentType

extends Object
implements Serializable

Java class for ConsultVmpComponentType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultVmpComponentType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="PhaseNumber" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
             <element name="Name" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultTextType"/>
             <element name="VirtualForm" type="{urn:be:fgov:ehealth:dics:protocol:v5}VirtualFormWithStandardsType"/>
             <element name="RouteOfAdministration" type="{urn:be:fgov:ehealth:dics:protocol:v5}RouteOfAdministrationWithStandardsType" maxOccurs="unbounded"/>
             <element name="AdditionalFields" type="{urn:be:fgov:ehealth:dics:protocol:v5}AdditionalFieldsType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="VirtualIngredient" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultVirtualIngredientType" maxOccurs="unbounded"/>
           </sequence>
           <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v5}validityPeriod"/>
           <attribute name="Code" use="required" type="{http://www.w3.org/2001/XMLSchema}int" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ConsultVmpComponentType()`

Method Summary
`List<AdditionalFieldsType>` | `getAdditionalFields()` Gets the value of the additionalFields property.
`int` | `getCode()` Gets the value of the code property.
`org.joda.time.DateTime` | `getEndDate()` Gets the value of the endDate property.
`ConsultTextType` | `getName()` Gets the value of the name property.
`Integer` | `getPhaseNumber()` Gets the value of the phaseNumber property.
`List<RouteOfAdministrationWithStandardsType>` | `getRouteOfAdministrations()` Gets the value of the routeOfAdministrations property.
`org.joda.time.DateTime` | `getStartDate()` Gets the value of the startDate property.
`VirtualFormWithStandardsType` | `getVirtualForm()` Gets the value of the virtualForm property.
`List<ConsultVirtualIngredientType>` | `getVirtualIngredients()` Gets the value of the virtualIngredients property.
`void` | `setCode(int value)` Sets the value of the code property.
`void` | `setEndDate(org.joda.time.DateTime value)` Sets the value of the endDate property.
`void` | `setName(ConsultTextType value)` Sets the value of the name property.
`void` | `setPhaseNumber(Integer value)` Sets the value of the phaseNumber property.
`void` | `setStartDate(org.joda.time.DateTime value)` Sets the value of the startDate property.
`void` | `setVirtualForm(VirtualFormWithStandardsType value)` Sets the value of the virtualForm property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsultVmpComponentType

    public ConsultVmpComponentType()

Method Detail

### getPhaseNumber

    public Integer getPhaseNumber()

  Gets the value of the phaseNumber property.

  Returns:
    possible object is `Integer`

### setPhaseNumber

    public void setPhaseNumber(Integer value)

  Sets the value of the phaseNumber property.

  Parameters:
    `value` - allowed object is `Integer`

### getName

    public ConsultTextType getName()

  Gets the value of the name property.

  Returns:
    possible object is `ConsultTextType`

### setName

    public void setName(ConsultTextType value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `ConsultTextType`

### getVirtualForm

    public VirtualFormWithStandardsType getVirtualForm()

  Gets the value of the virtualForm property.

  Returns:
    possible object is `VirtualFormWithStandardsType`

### setVirtualForm

    public void setVirtualForm(VirtualFormWithStandardsType value)

  Sets the value of the virtualForm property.

  Parameters:
    `value` - allowed object is `VirtualFormWithStandardsType`

### getRouteOfAdministrations

    public List<RouteOfAdministrationWithStandardsType> getRouteOfAdministrations()

  Gets the value of the routeOfAdministrations property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the routeOfAdministrations property.

  For example, to add a new item, do as follows:

          getRouteOfAdministrations().add(newItem);

  Objects of the following type(s) are allowed in the list `RouteOfAdministrationWithStandardsType`

### getAdditionalFields

    public List<AdditionalFieldsType> getAdditionalFields()

  Gets the value of the additionalFields property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the additionalFields property.

  For example, to add a new item, do as follows:

          getAdditionalFields().add(newItem);

  Objects of the following type(s) are allowed in the list `AdditionalFieldsType`

### getVirtualIngredients

    public List<ConsultVirtualIngredientType> getVirtualIngredients()

  Gets the value of the virtualIngredients property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the virtualIngredients property.

  For example, to add a new item, do as follows:

          getVirtualIngredients().add(newItem);

  Objects of the following type(s) are allowed in the list `ConsultVirtualIngredientType`

### getCode

    public int getCode()

  Gets the value of the code property.

### setCode

    public void setCode(int value)

  Sets the value of the code property.

### getStartDate

    public org.joda.time.DateTime getStartDate()

  Gets the value of the startDate property.

  Returns:
    possible object is `String`

### setStartDate

    public void setStartDate(org.joda.time.DateTime value)

  Sets the value of the startDate property.

  Parameters:
    `value` - allowed object is `String`

### getEndDate

    public org.joda.time.DateTime getEndDate()

  Gets the value of the endDate property.

  Returns:
    possible object is `String`

### setEndDate

    public void setEndDate(org.joda.time.DateTime value)

  Sets the value of the endDate property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.19.1 API
Copyright © {inceptionYear}-2020 eHealth. All Rights Reserved.